Subject: [bug#38276] Fix kernel-headers path in clang

From: Mathieu Othacehe <[email-masked]>
Date: Wed, 20 Nov 2019 15:04:01 +0100

Hello Carl,

> +-  addPathIfExists(SysRoot + "/lib/" + MultiarchTriple, Paths);
> +-  addPathIfExists(SysRoot + "/lib/../" + OSLibDir, Paths);
> +-  addPathIfExists(SysRoot + "/usr/lib/" + MultiarchTriple, Paths);
> +-  addPathIfExists(SysRoot + "/usr/lib/../" + OSLibDir, Paths);

I'm not sure to understand the benefit of this patch versus hardcoding
libc and kernel-headers path into clang at build time.

Plus, in general patching so heavily the sources of a package proves to
be very hard to maintain.

Mathieu